package com.huigou.topsun.sap.permit.application;


import com.huigou.topsun.sap.permit.domain.SapPermitItem;
import com.huigou.topsun.sap.permit.domain.query.SapPermitQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: LXH
 * @Date: 2024/03/26/10:35
 * @Description:
 */
public interface SapPermitItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/permit/permit.xml";
    void saveSapPermitItems(String sapRetirementId, List<SapPermitItem> items);

    Map<String,Object> querySapPermitItems(SapPermitQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<SapPermitItem> findBySapPermitId(String sapPermitId);
}
